Package org.apache.sling.feature.launcher.spi

# Class Launcher.LauncherClassLoader

java.lang.Object
java.lang.ClassLoader
java.security.SecureClassLoader
java.net.URLClassLoader
org.apache.sling.feature.launcher.spi.Launcher.LauncherClassLoader

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

Enclosing interface:
  `Launcher`

public static class Launcher.LauncherClassLoader extends URLClassLoader

## Constructor Summary

Constructors
Constructor
Description
`LauncherClassLoader()`

## Method Summary

Modifier and Type
Method
Description
`final void`
`addURL(URL url)`
`final URL`
`getResource(String name)`
`final Class<?>`
`loadClass(String name, boolean resolve)`

### Methods inherited from class java.net.URLClassLoader

`close, definePackage, findClass, findResource, findResources, getPermissions, getResourceAsStream, getURLs, newInstance, newInstance`

### Methods inherited from class java.security.SecureClassLoader

`defineClass, defineClass`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LauncherClassLoader

public LauncherClassLoader()

## Method Details

### addURL

public final void addURL(URL url)

Overrides:
  `addURL` in class `URLClassLoader`

### loadClass

public final Class<?> loadClass(String name, boolean resolve) throws ClassNotFoundException

Overrides:
  `loadClass` in class `ClassLoader`
Throws:
  `ClassNotFoundException`

### getResource

public final URL getResource(String name)

Overrides:
  `getResource` in class `ClassLoader`